Skip to main content
GET
/
v1
/
batches
List batches
curl --request GET \
  --url https://gomodel.example.com/v1/batches \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "cancelled_at": 123,
      "cancelling_at": 123,
      "completed_at": 123,
      "completion_window": "<string>",
      "created_at": 123,
      "endpoint": "<string>",
      "failed_at": 123,
      "id": "<string>",
      "in_progress_at": 123,
      "input_file_id": "<string>",
      "metadata": {},
      "object": "<string>",
      "provider": "<string>",
      "provider_batch_id": "<string>",
      "request_counts": {
        "completed": 123,
        "failed": 123,
        "total": 123
      },
      "results": [
        {
          "custom_id": "<string>",
          "error": {
            "message": "<string>",
            "type": "<string>"
          },
          "index": 123,
          "model": "<string>",
          "provider": "<string>",
          "response": "<unknown>",
          "status_code": 123,
          "url": "<string>"
        }
      ],
      "status": "<string>",
      "usage": {
        "input_cost": 123,
        "input_tokens": 123,
        "output_cost": 123,
        "output_tokens": 123,
        "total_cost": 123,
        "total_tokens": 123
      }
    }
  ],
  "first_id": "<string>",
  "has_more": true,
  "last_id": "<string>",
  "object": "<string>"
}

Authorizations

Authorization
string
header
required

Query Parameters

after
string

Pagination cursor

limit
integer

Maximum items to return (1-100, default 20)

Response

OK

data
object[]
first_id
string
has_more
boolean
last_id
string
object
string